%define name    potracegui
%define version 1.3.4
%define release 1mdk

%define longtitle GUI interface for potrace

Summary:        %longtitle
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Graphics
URL:            http://potracegui.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/potracegui/%name-%version.tar.bz2
Source1:        %name-icons.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
Requires: 	potrace

%description
Potracegui is a GUI interface for potrace, a great program for tracing 
bitmapped images.

%prep

%setup -q

%setup -q -T -D -a1 # unpack icons

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# icon
#install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %name

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="Multimedia/Graphics" \
title="Potrace" \
longtitle="Potracegui interface for potrace" \
EOF

%post 
%{update_menus}

%postun 
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README INSTALL AUTHORS
%_bindir/*
%_menudir/*
%{_datadir}/doc/HTML/en/potracegui/*
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/applnk/Utilities/*
%{_datadir}/apps/potracegui/*
%{_datadir}/icons/*.png
%{_datadir}/icons/mini/*.png

%changelog
* Wed Jul 20 2005 Lenny Cartier <lenny@mandriva.com> 1.3.4-1mdk
- 1.3.4

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- 1.1

* Sat Jan 18 2003 Blaise Tramier <meles@free.fr> 1.0-1mdk
- first mdk package
